IP proposed during Host creation does not belong to IP range defined in the subnet
Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: DHCP   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

If I consider my Subnet configuration :

Network 192.168.1.0

Mask 255.255.255.0

Ranges  192.168.1.130-192.168.1.20

DHCP and TFTP Proxy Defined

When a I create a new host, I choose my proxy, my domain and my subnet but foreman keep proposing me an ip out of the range of

my defined subnet.

eg : 192.168.1.2 (in fact the first free ip in the network's subnet (Network/Mask without considering imposed range).

If I manualy choose IP (in or out of the range) everything else works just fine.

Installation Debian Squeeze / Package Stable

Thx

Related issues:

Has duplicate Foreman - Bug #749: Dhcpd range value not used? Closed 03/15/2011

Precedes Foreman - Feature #1421: expose subnet ranges for automatic IP addre... Closed 01/01/2012

Associated revisions

Revision 440a88a9 - 01/01/2012 10:32 AM - Ohad Levy

fixes #884 - IP proposed during Host creation does not belong to IP range defined in the subnet

History

#1 - 06/16/2011 05:17 PM - Bency Tharakan

I am also having the same issue.

Using rhel6.

If I don't select the subnet when host creation and set a static IP, pxe config is not getting created.

Any workarounds pls ?

Thanks

Bency

#2 - 01/01/2012 10:33 AM - Ohad Levy

- Category set to DHCP

- Assignee set to Ohad Levy

- Target version set to 1.0

#3 - 01/01/2012 10:35 AM - Ohad Levy
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 440a88a9322e8c9f601c81ecc4993b82e1f1d8b3.
